ata_xfer_mode2shift
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_xfer_mode2shift — Find matching xfer_shift for XFER_*

## Synopsis

`int ata_xfer_mode2shift (` | unsigned int | xfer_mode`)`;

## Arguments

`xfer_mode`

  XFER_* of interest

## Description

Return matching xfer_shift for `xfer_mode`.

## LOCKING

None.

## RETURNS

Matching xfer_shift, -1 if no match found.

Prev | Up | Next
ata_xfer_mode2mask | Home | ata_mode_string